Package org.eclipse.m2m.atl.dsls.tcs.injector.wrappers

## Class ParserWrapper

- java.lang.Object
- - org.eclipse.m2m.atl.dsls.tcs.injector.wrappers.ParserWrapper

Direct Known Subclasses:
  `ParserWrapper`

    public abstract class ParserWrapper
    extends java.lang.Object

### Field Summary

Fields
`protected java.lang.String` `pack`
`protected TCSRuntime` `runtime`
`protected int` `TT_COMMENT`
`protected int` `TT_NL`
`protected int` `TT_WS`

### Constructor Summary

Constructors
`ParserWrapper()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract int` `getEndOffset​(java.lang.Object token)`
`abstract java.lang.Object` `getLastToken()`
`abstract java.lang.String` `getLocation​(java.lang.Object token)`
`abstract int` `getStartOffset​(java.lang.Object token)`
`abstract java.lang.Object` `parse​(int tabSize, java.lang.String name, java.lang.String productionRule, java.io.Reader in, java.util.Map params)`
`abstract void` `reportError​(java.lang.Exception re)`
`abstract void` `setCommentsAfter​(java.lang.Object ame_, java.lang.Object token_)`
`abstract void` `setCommentsBefore​(java.lang.Object ame, java.lang.Object token)`
`void` `setRuntime​(TCSRuntime runtime)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TT_NL

    protected int TT_NL

#### TT_WS

    protected int TT_WS

#### TT_COMMENT

    protected int TT_COMMENT

#### pack

    protected final java.lang.String pack

See Also:
  Constant Field Values

#### runtime

    protected TCSRuntime runtime

### Constructor Detail

#### ParserWrapper

    public ParserWrapper()

### Method Detail

#### parse

    public abstract java.lang.Object parse​(int tabSize,
                                           java.lang.String name,
                                           java.lang.String productionRule,
                                           java.io.Reader in,
                                           java.util.Map params)
                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### reportError

    public abstract void reportError​(java.lang.Exception re)

#### setCommentsBefore

    public abstract void setCommentsBefore​(java.lang.Object ame,
                                           java.lang.Object token)

#### setCommentsAfter

    public abstract void setCommentsAfter​(java.lang.Object ame_,
                                          java.lang.Object token_)

#### getLastToken

    public abstract java.lang.Object getLastToken()

#### getLocation

    public abstract java.lang.String getLocation​(java.lang.Object token)

#### getStartOffset

    public abstract int getStartOffset​(java.lang.Object token)

#### getEndOffset

    public abstract int getEndOffset​(java.lang.Object token)

#### setRuntime

    public void setRuntime​(TCSRuntime runtime)